Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class ProxyClient

    java.lang.Object
      org.apache.http.impl.client.ProxyClient

    public class ProxyClient

extends Object

Constructor Summary
`ProxyClient()`
`ProxyClient(HttpParams params)`

Method Summary
`AuthSchemeRegistry` | `getAuthSchemeRegistry()`
`HttpParams` | `getParams()`
`Socket` | `tunnel(HttpHost proxy, HttpHost target, Credentials credentials)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyClient

    public ProxyClient(HttpParams params)

### ProxyClient

    public ProxyClient()

Method Detail

### getParams

    public HttpParams getParams()

### getAuthSchemeRegistry

    public AuthSchemeRegistry getAuthSchemeRegistry()

### tunnel

    public Socket tunnel(HttpHost proxy,
                         HttpHost target,
                         Credentials credentials)
                  throws IOException,
                         HttpException

  Throws:
    `IOException`
    `HttpException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.